<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Sat Jun 11 22:07:23 CEST 2022 -->
<title>Serialized Form</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-11">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="serialized-form-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="ihm.javafx/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#serialized-form">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<ul class="block-list">
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="ihm.javafx/back/exception/package-summary.html">back.exception</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="back.exception.CoupInterditException">
<h3>Exception&nbsp;<a href="ihm.javafx/back/exception/CoupInterditException.html" title="class in back.exception">back.exception.CoupInterditException</a></h3>
<div class="type-signature">class CoupInterditException extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Exception.html" title="class or interface in java.lang" class="external-link">Exception</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>joueurPuni</h5>
<pre><a href="ihm.javafx/back/joueur/Joueur.html" title="class in back.joueur">Joueur</a> joueurPuni</pre>
<div class="block">Le joueur qui a effectue un coup interdit.</div>
</li>
<li class="block-list">
<h5>nombreCarteAPiocher</h5>
<pre>int nombreCarteAPiocher</pre>
<div class="block">Le nombre de carte a piocher en guise de punition.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="back.exception.TourException">
<h3>Exception&nbsp;<a href="ihm.javafx/back/exception/TourException.html" title="class in back.exception">back.exception.TourException</a></h3>
<div class="type-signature">class TourException extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Exception.html" title="class or interface in java.lang" class="external-link">Exception</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>joueurPuni</h5>
<pre><a href="ihm.javafx/back/joueur/Joueur.html" title="class in back.joueur">Joueur</a> joueurPuni</pre>
<div class="block">Le joueur qui a effectue un coup interdit.</div>
</li>
<li class="block-list">
<h5>nombreCarteAPiocher</h5>
<pre>int nombreCarteAPiocher</pre>
<div class="block">Le nombre de carte a piocher en guise de punition.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="back.exception.UnoException">
<h3>Exception&nbsp;<a href="ihm.javafx/back/exception/UnoException.html" title="class in back.exception">back.exception.UnoException</a></h3>
<div class="type-signature">class UnoException extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Exception.html" title="class or interface in java.lang" class="external-link">Exception</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>joueurPuni</h5>
<pre><a href="ihm.javafx/back/joueur/Joueur.html" title="class in back.joueur">Joueur</a> joueurPuni</pre>
<div class="block">Le joueur qui a effectue un coup interdit.</div>
</li>
<li class="block-list">
<h5>nombreCarteAPiocher</h5>
<pre>int nombreCarteAPiocher</pre>
<div class="block">Le nombre de carte a piocher en guise de punition.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="back.parsage.parser.ParserManquantException">
<h3>Exception&nbsp;<a href="ihm.javafx/back/parsage/parser/ParserManquantException.html" title="class in back.parsage.parser">back.parsage.parser.ParserManquantException</a></h3>
<div class="type-signature">class ParserManquantException extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Exception.html" title="class or interface in java.lang" class="external-link">Exception</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="ihm.javafx/back/regles/package-summary.html">back.regles</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="back.regles.RegleException">
<h3>Exception&nbsp;<a href="ihm.javafx/back/regles/RegleException.html" title="class in back.regles">back.regles.RegleException</a></h3>
<div class="type-signature">class RegleException extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Exception.html" title="class or interface in java.lang" class="external-link">Exception</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</main>
</div>
</div>
</body>
</html>
